@charset "UTF-8";
@import url(chart_all.css);

/*=========================================================
	基本設定
=========================================================*/
.chart_container {
}

/*ジャンプ先調整
-----------------------*/
.com-chart::before,
.result-chart::before {
  height: 8rem;
  margin-top: -8rem;
}

/*=========================================================
	診断チャート
=========================================================*/
.com-chart:has(.btn_wrp) {
  padding-bottom: 3rem;
}

/*診断タイトル
-----------------------*/
.com-chart__title {
  column-gap: 1.6rem;
  padding: 2rem;
}

/*診断ボタン
----------------------------------------------- */
/*回答リスト
-----------------------*/
.com-chart__btns {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: 2rem;
  padding: 3rem 2rem;
}
.com-chart__btns + .btn_wrp {
  padding-inline: 2rem;
}

/*回答ボタン
-----------------------*/
.com-chart__btn {
  width: 100%;
}
.com-chart__btn-link {
  width: 100%;
  font-size: 1.6rem;
  letter-spacing: 0;
  padding-inline: 4rem;
}
.com-chart__btn-link::after {
  width: 1.6rem;
  right: 1.6rem;
}

/*戻るボタン
-----------------------*/
.btn_wrp {
}
.back_btn {
}

/*=========================================================
	診断結果
=========================================================*/
.result-chart {
  padding: 3rem 2rem;
}

/*結果タイトル
-----------------------*/
.result-chart__title {
  row-gap: 1.2rem;
  padding: 2rem;
  border-radius: 1rem;
  margin-bottom: 2.4rem;
}
.result-chart__title .sub {
  font-size: var(--font-size-h6);
}
.result-chart__title .main {
  font-size: var(--font-size-h4);
  line-height: var(--line-height-h4);
}

/*結果コンテナ
-----------------------*/
.result-chart__container {
}

.result-chart__inner {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  row-gap: 3rem;
}
.result-chart__inner > *:not(.com-btn) {
  width: 100%;
}
.result-chart__btn {
}

/*結果画像
-----------------------*/
.result-chart__image {
  width: 36rem;
  max-width: 100%;
  margin: 0 auto 3rem;
}
.result-chart__image img {
  aspect-ratio: 3 / 2;
}
